
SELECT DT_CLASS
FROM AS_DETAILT DT
LEFT JOIN AS_HEADT T
  ON T.PIN = DT.PIN 
  AND T.TAX_YEAR = DT.TAX_YEAR 
  AND T.HD_CLASS = DT.DT_CLASS
WHERE DT.PIN = {val1}
AND DT.TAX_YEAR = {val2}
AND HD_CLASS IS NULL AND DT_CLASS NOT IN (200, 288)
ORDER BY DT.TAX_YEAR DESC, DT_MLT_CD